#ifndef SCRIPTS_H
#define SCRIPTS_H

#include "buysell.h"
#include "dispatchers.h"
#include "galaxy.h"

class ScriptTrader : public Dispatch {
private:
public:
  ScriptTrader(Director &);
  ~ScriptTrader();  

  // information from the find_best_trades function + others.
  int port[2];
  int active;
  int type;
  buysell trades;
  buysell port_buysell[2];

  void activate(void) override;
  void deactivate(void) override;

  // optional here
  void server_line(const std::string &line,
                   const std::string &raw_line) override;
  void server_prompt(const std::string &prompt) override;
  void client_input(const std::string &cinput) override;
};

#endif